Index: /tags/libIGCM_v3.0_beta1/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /tags/libIGCM_v3.0_beta1/libIGCM_comp/libIGCM_comp.ksh	(revision 1374)
+++ /tags/libIGCM_v3.0_beta1/libIGCM_comp/libIGCM_comp.ksh	(revision 1375)
@@ -79,4 +79,7 @@
     eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_O}
 
+    eval R_OUT_${comp}_A=\${R_OUT_${comp}}/Analyse
+    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_A}
+
     eval R_OUT_${comp}_R=\${R_OUT_${comp}}/Restart
     [ ${config_Post_PackFrequency} = NONE ] && eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_R}
@@ -85,5 +88,4 @@
     [ ${config_Post_PackFrequency} = NONE ] && eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_D}
 
-    eval R_OUT_${comp}_O_I=\${R_OUT_${comp}_O}/INS
     eval R_OUT_${comp}_O_H=\${R_OUT_${comp}_O}/HF
     eval R_OUT_${comp}_O_D=\${R_OUT_${comp}_O}/DA
@@ -91,4 +93,9 @@
     eval R_OUT_${comp}_O_Y=\${R_OUT_${comp}_O}/YE
 
+    eval R_OUT_${comp}_A_H=\${R_OUT_${comp}_A}/TS_HF
+    eval R_OUT_${comp}_A_D=\${R_OUT_${comp}_A}/TS_DA
+    eval R_OUT_${comp}_A_M=\${R_OUT_${comp}_A}/TS_MO
+    eval R_OUT_${comp}_A_Y=\${R_OUT_${comp}_A}/TS_YE
+
     # Define BUFFERED Dirs
     if ( [ ! ${config_Post_PackFrequency} = NONE ] || [ X${config_UserChoices_SpaceName} = XTEST ] ) ; then
@@ -99,4 +106,7 @@
       eval IGCM_sys_Mkdir \${R_BUF_${comp}_O}
 
+      eval R_BUF_${comp}_A=\${R_BUF_${comp}}/Analyse
+      eval IGCM_sys_Mkdir \${R_BUF_${comp}_A}
+
       eval R_BUF_${comp}_R=\${R_BUF_${comp}}/Restart
       eval IGCM_sys_Mkdir \${R_BUF_${comp}_R}
@@ -105,9 +115,13 @@
       eval IGCM_sys_Mkdir \${R_BUF_${comp}_D}
 
-      eval R_BUF_${comp}_O_I=\${R_BUF_${comp}_O}/INS
       eval R_BUF_${comp}_O_H=\${R_BUF_${comp}_O}/HF
       eval R_BUF_${comp}_O_D=\${R_BUF_${comp}_O}/DA
       eval R_BUF_${comp}_O_M=\${R_BUF_${comp}_O}/MO
       eval R_BUF_${comp}_O_Y=\${R_BUF_${comp}_O}/YE
+
+      eval R_BUF_${comp}_A_H=\${R_BUF_${comp}_A}/TS_HF
+      eval R_BUF_${comp}_A_D=\${R_BUF_${comp}_A}/TS_DA
+      eval R_BUF_${comp}_A_M=\${R_BUF_${comp}_A}/TS_MO
+      eval R_BUF_${comp}_A_Y=\${R_BUF_${comp}_A}/TS_YE
     fi
 
@@ -161,70 +175,13 @@
             IGCM_debug_Verif_Exit
           fi
-          #
-          # Seasonal case : If option Seasonal is not found (old cards) put SEASONAL ON by default
-          #
-          # variable option allready typeset above
-          for option in $( eval echo \${${compname}_${flag_post}[*]} ) ; do
-            if [ ${option} = Seasonal ] ; then
-              FoundSeasonal=true
-              IGCM_card_DefineVariableFromOption ${card} ${flag_post} Seasonal
-            fi
-          done
-          #
-          if [ ! X${FoundSeasonal} = Xtrue ] ; then
-            eval ${compname}_${flag_post}_Seasonal=ON
-          fi
-          #
+
+          # Do have seasonal average enabled
+          IGCM_card_DefineVariableFromOption ${card} ${flag_post} Seasonal
           if [ $( eval echo \${${compname}_${flag_post}_Seasonal} ) = ON ] ; then
             Seasonal=true
           fi
 
-          # Dimension = vide si vieille card.
-          IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars
+          # Read the Patches Option
           IGCM_card_DefineArrayFromOption ${card} ${flag_post} Patches
-          if [ X"$( eval echo \${${compname}_${flag_post}_TimeSeriesVars[*]} )" = X"Option not" ] ; then
-            # New TimeSeriesVar description, with 2D, 3D and associate ChunckJob.
-            ListDimension[0]=2D
-            ListDimension[1]=3D
-            TimeSeries=false
-            iLoop=${#ListDimension[*]}
-            j=0
-            until [ $j -ge ${iLoop} ]; do
-              Dimension=${ListDimension[${j}]}
-              IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars${Dimension}
-              IGCM_card_DefineVariableFromOption ${card} ${flag_post} ChunckJob${Dimension}
-              #
-              # Time series WITHOUT chunk
-              #
-              if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
-                if [ $( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} ) = NONE ] ; then
-                  IGCM_debug_Print 3 "${Dimension} time series activated for ${flag_post}"
-                  eval TimeSeries${Dimension}=true
-                fi
-              fi
-              #
-              # Time series WITH chunk
-              #
-              if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
-                chunck_size=$( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} )
-                if [ ! ${chunck_size} = NONE ] &&  [ ! ${chunck_size} = OFF ] ; then
-                  IGCM_debug_Print 3 "${Dimension} time series activated with chunck for ${flag_post}"
-                  eval TimeSeriesChunck${Dimension}=true
-                  eval CHUNCK${Dimension}_COMP[\${#CHUNCK${Dimension}_COMP[*]}]=${comp}
-                  eval CHUNCK${Dimension}_FLAG[\${#CHUNCK${Dimension}_FLAG[*]}]=${i}
-                  eval CHUNCK${Dimension}_NAME[\${#CHUNCK${Dimension}_NAME[*]}]=${flag_post}
-                  eval CHUNCK${Dimension}_SIZE[\${#CHUNCK${Dimension}_SIZE[*]}]=${chunck_size}
-                fi
-              fi
-              (( j=j+1 ))
-            done
-          else
-            ListDimension[0]=""
-            TimeSeries=true
-            TimeSeries2D=false
-            TimeSeries3D=false
-            TimeSeriesChunck2D=false
-            TimeSeriesChunck3D=false
-          fi
         fi
         (( i=i+3 ))
@@ -267,4 +224,7 @@
   fi
   if [ $( echo ${file} | grep "^file_def_" | wc -l ) = 1 ] ; then
+    eval FileDef[${#FileDef[@]}]=${file} > /dev/null 2>&1
+  fi
+  if [ $( echo ${file} | grep "^timeseries_def_" | wc -l ) = 1 ] ; then
     eval FileDef[${#FileDef[@]}]=${file} > /dev/null 2>&1
   fi
@@ -1400,5 +1360,5 @@
       # Case to modify the variable itself
       IGCM_debug_Print 1 "Now modify ${filein} for id=${keyid} by setting the variable=${value}"
-      sed -e "s/\(<[^\"]*\"${keyid}\".*>\)\([^<]*\)\(<[^>]*\)/\1${value}\3/" ${filein} > ${filein}.tmp
+      sed -e "s:\(<[^\"]*\"${keyid}\".*>\)\([^<]*\)\(<[^>]*\):\1${value}\3:" ${filein} > ${filein}.tmp
     else
       # Check if keyattrib is set on the same line as keyid
@@ -1406,9 +1366,9 @@
         # Case to modify the attribute value
         IGCM_debug_Print 1 "Now modify ${filein} for id=${keyid} by setting attribute to ${keyattrib}=${value}"
-        sed -e "/id=\"${keyid}\"/s/\(${keyattrib}=\"\)[^\"]*\(\"\)/\1${value}\2/" ${filein} > ${filein}.tmp
+        sed -e "/id=\"${keyid}\"/s:\(${keyattrib}=\"\)[^\"]*\(\"\):\1${value}\2:" ${filein} > ${filein}.tmp
       else
         # Case to add the attribute and its value
         IGCM_debug_Print 1 "Now add in ${filein} for id=${keyid} the attribute ${keyattrib} to the value ${value}"
-        sed -e "/id=\"${keyid}\"/s/\/>/ ${keyattrib}=\"${value}\"\/>/" ${filein} > ${filein}.tmp
+        sed -e "/id=\"${keyid}\"/s:\/>: ${keyattrib}=\"${value}\"\/>:" ${filein} > ${filein}.tmp
       fi
     fi
@@ -1460,4 +1420,35 @@
     # UPDATE component
     ${comp}_Update
+
+    set -vx
+
+    # Read TimeSeries information from XML files, prepare TS directories and do modifications in timeseries_def_${compname}.xml
+    if [ -f timeseries_def_${compname}.xml ]; then
+      ${libIGCM}/libIGCM_post/xios_parser.py tsquery --file timeseries_def_${compname}.xml > ts.temp.${compname}.txt
+      for line in $( cat ts.temp.${compname}.txt ); do
+        id=$(          echo ${line} | awk -F "," '{print $1}' | awk -F "=" '{print $2}' )
+        output_freq=$( echo ${line} | awk -F "," '{print $2}' | awk -F "=" '{print $2}' )
+        case ${output_freq} in
+        *Y|*y)
+          eval IGCM_sys_Mkdir \${R_BUF_${comp}_A_Y}
+          eval IGCM_comp_modifyXmlFile nonblocker timeseries_def_${compname}.xml ${id} ts_prefix \${R_BUF_${comp}_A_Y}/${config_UserChoices_JobName}
+          ;;
+        *MO|*mo)
+          eval IGCM_sys_Mkdir \${R_BUF_${comp}_A_M}
+          eval IGCM_comp_modifyXmlFile nonblocker timeseries_def_${compname}.xml ${id} ts_prefix \${R_BUF_${comp}_A_M}/${config_UserChoices_JobName}
+          ;;
+        *D|*d)
+          eval IGCM_sys_Mkdir \${R_BUF_${comp}_A_D}
+          eval IGCM_comp_modifyXmlFile nonblocker timeseries_def_${compname}.xml ${id} ts_prefix \${R_BUF_${comp}_A_D}/${config_UserChoices_JobName}
+          ;;
+        *S|*s)
+          eval IGCM_sys_Mkdir \${R_BUF_${comp}_A_H}
+          eval IGCM_comp_modifyXmlFile nonblocker timeseries_def_${compname}.xml ${id} ts_prefix \${R_BUF_${comp}_A_H}/${config_UserChoices_JobName}
+          ;;
+        esac
+      done
+    fi
+
+    set +vx
 
   done
Index: /tags/libIGCM_v3.0_beta1/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /tags/libIGCM_v3.0_beta1/libIGCM_config/libIGCM_config.ksh	(revision 1374)
+++ /tags/libIGCM_v3.0_beta1/libIGCM_config/libIGCM_config.ksh	(revision 1375)
@@ -507,16 +507,14 @@
   typeset i
 
-  # Check RebuildFrequency against key frequencies : PeriodLength ; PackFrequency ; TimeSeriesFrequency ; SeasonalFrequency
+  # Check RebuildFrequency against key frequencies : PeriodLength ; PackFrequency ; SeasonalFrequency
   if ( [ ! X${config_Post_RebuildFrequency} = X${NULL_STR} ] && [ ! X${config_Post_RebuildFrequency} = XNONE ] ) ; then
     AsynchronousRebuild=true
     IGCM_debug_Print 1 "Asynchronous rebuild has been activated."
     echo
-    # modulo (RebuildFrequency and PeriodLength/TimeSeriesFrequency/SeasonalFrequency) must be zero
+    # modulo (RebuildFrequency and PeriodLength/SeasonalFrequency) must be zero
     IGCM_debug_Print 1 "Check coherence between RebuildFrequency and PeriodLength"
     IGCM_post_CheckModuloFrequency config_Post_RebuildFrequency config_UserChoices_PeriodLength
     IGCM_debug_Print 1 "Check coherence between PackFrequency and RebuildFrequency"
     IGCM_post_CheckModuloFrequency config_Post_PackFrequency config_Post_RebuildFrequency
-    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and RebuildFrequency"
-    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_RebuildFrequency
     IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and RebuildFrequency"
     IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_RebuildFrequency
@@ -526,7 +524,5 @@
     IGCM_debug_Print 1 "Proceed with standard post-treatment pathway"
     echo
-    #modulo (PeriodLength and TimeSeriesFrequency/SeasonalFrequency) must be zero
-    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and PeriodLength"
-    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_UserChoices_PeriodLength
+    #modulo (PeriodLength and SeasonalFrequency) must be zero
     IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and PeriodLength"
     IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency   config_UserChoices_PeriodLength
@@ -534,5 +530,5 @@
 
   # Check PackFrequency against other key frequencies
-  # Modulo (PackFrequency and TimeSeriesFrequency/SeasonalFrequency and PeriodLenght) must be zero
+  # Modulo (PackFrequency and SeasonalFrequency and PeriodLenght) must be zero
   if ( [ ! X${config_Post_PackFrequency} = X${NULL_STR} ] && [ ! X${config_Post_PackFrequency} = XNONE ] ) ; then
     Pack=true
@@ -540,6 +536,4 @@
     IGCM_debug_Print 1 "Check coherence between PackFrequency and PeriodLength"
     IGCM_post_CheckModuloFrequency config_Post_PackFrequency config_UserChoices_PeriodLength
-    IGCM_debug_Print 1 "Check coherence between TimeSeriesFrequency and PackFrequency"
-    IGCM_post_CheckModuloFrequency config_Post_TimeSeriesFrequency config_Post_PackFrequency
     IGCM_debug_Print 1 "Check coherence between SeasonalFrequency and PackFrequency"
     IGCM_post_CheckModuloFrequency config_Post_SeasonalFrequency config_Post_PackFrequency
@@ -548,35 +542,41 @@
   fi
 
-  # modulo (TimeSeriesFrequency and all Chunck2D) must be zero
-  NbJob=${#CHUNCK2D_SIZE[@]}
-  i=0
-  until [ $i -ge $NbJob ]; do
-    value=${CHUNCK2D_SIZE[${i}]}
-    IGCM_debug_Print 1 "Check coherence between ${CHUNCK2D_NAME[${i}]} Chunck2D frequency and TimeSeriesFrequency"
-    IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
-    case ${value} in
-    *Y|*y) ;;
-    *)
-      IGCM_debug_Print 1 "All ChunckJob2D frequency must be expressed in year *Y|*y in comp.card"
-      IGCM_debug_Exit "This will stop the job" ;;
-    esac
-    (( i=i+1 ))
-  done
-
-  # modulo (TimeSeriesFrequency and all Chunck3D) must be zero
-  NbJob=${#CHUNCK3D_SIZE[@]}
-  i=0
-  until [ $i -ge $NbJob ]; do
-    value=${CHUNCK3D_SIZE[${i}]}
-    IGCM_debug_Print 1 "Check coherence between ${CHUNCK3D_NAME[${i}]} Chunck3D frequency and TimeSeriesFrequency"
-    IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
-    case ${value} in
-    *Y|*y) ;;
-    *)
-      IGCM_debug_Print 1 "All ChunckJob3D frequency must be expressed in year *Y|*y in comp.card"
-      IGCM_debug_Exit "This will stop the job" ;;
-    esac
-    (( i=i+1 ))
-  done
+
+  # TODO LIST
+  # Will check later on time series frequency coming from xml.
+  # Need to know how XIOS2 handles this.
+
+
+  # # modulo (TimeSeriesFrequency and all Chunck2D) must be zero
+  # NbJob=${#CHUNCK2D_SIZE[@]}
+  # i=0
+  # until [ $i -ge $NbJob ]; do
+  #   value=${CHUNCK2D_SIZE[${i}]}
+  #   IGCM_debug_Print 1 "Check coherence between ${CHUNCK2D_NAME[${i}]} Chunck2D frequency and TimeSeriesFrequency"
+  #   IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
+  #   case ${value} in
+  #   *Y|*y) ;;
+  #   *)
+  #     IGCM_debug_Print 1 "All ChunckJob2D frequency must be expressed in year *Y|*y in comp.card"
+  #     IGCM_debug_Exit "This will stop the job" ;;
+  #   esac
+  #   (( i=i+1 ))
+  # done
+
+  # # modulo (TimeSeriesFrequency and all Chunck3D) must be zero
+  # NbJob=${#CHUNCK3D_SIZE[@]}
+  # i=0
+  # until [ $i -ge $NbJob ]; do
+  #   value=${CHUNCK3D_SIZE[${i}]}
+  #   IGCM_debug_Print 1 "Check coherence between ${CHUNCK3D_NAME[${i}]} Chunck3D frequency and TimeSeriesFrequency"
+  #   IGCM_post_CheckModuloFrequency value config_Post_TimeSeriesFrequency
+  #   case ${value} in
+  #   *Y|*y) ;;
+  #   *)
+  #     IGCM_debug_Print 1 "All ChunckJob3D frequency must be expressed in year *Y|*y in comp.card"
+  #     IGCM_debug_Exit "This will stop the job" ;;
+  #   esac
+  #   (( i=i+1 ))
+  # done
 
   # check to be sure there is enough space on temporary filesystems to run
@@ -1184,70 +1184,4 @@
 
   #=================================================#
-  #         Modification of libIGCM behaviour       #
-  #=================================================#
-
-  # To use this function, one must copy libIGCM.card from ${libIGCM} directory
-  # and put it in ${SUBMIT_DIR} directory. After modifications of ${SUBMIT_DIR}/libIGCM.card,
-  # variables define inside [UserChanges] will be modified for next Period of libIGCM main loop.
-  if [ -f ${SUBMIT_DIR}/libIGCM.card ] ; then
-    echo
-    echo "########################################################################"
-    echo "!!!                 Modification of libIGCM behaviour                !!!"
-    echo
-
-    IGCM_debug_Print 1 "DefineArrayFromOption  : libIGCM_UserChanges in libIGCM.card"
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/libIGCM.card UserChanges
-    IGCM_debug_Print 2 "libIGCM_UserChanges" ${libIGCM_UserChanges[*]}
-
-    # Special treatments for libIGCM internals
-    for option in ${libIGCM_UserChanges[*]} ; do
-      IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/libIGCM.card UserChanges ${option}
-
-      echo "We will change : ${option}."
-      eval echo "Previous value : " \${${option}}
-      eval echo "Change to : " \${libIGCM_UserChanges_${option}}
-
-      eval ${option}=\${libIGCM_UserChanges_${option}}
-
-      case ${option} in
-      config_UserChoices_DateEnd)
-        IGCM_debug_PrintVariables 1 config_UserChoices_DateEnd
-        DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
-
-        # Period Length In Days between DateBegin and DateEnd
-        (( ExperienceLengthInDays=$( IGCM_date_DaysBetweenGregorianDate ${DateEnd} ${DateBegin} )  + 1 ))
-        if [ ${ExperienceLengthInDays} -lt 0 ] ; then
-          IGCM_debug_Print 1 "Problem with dates in libIGCM.card : ${DateEnd} < ${DateBegin} ! You must check that."
-          IGCM_debug_Exit "IGCM_PeriodEnd have wrong dates."
-          IGCM_debug_Verif_Exit
-        fi
-        ;;
-      config_UserChoices_PeriodLength)
-        IGCM_debug_Print 1  "Change config_UserChoices_PeriodLength=${config_UserChoices_PeriodLength}"
-        ;;
-      PeriodNb)
-        IGCM_debug_Print 1  "Loop in main Job with ${PeriodNb} period(s)"
-        ;;
-      config_Post_RebuildFrequency)
-        IGCM_debug_Print 1  "Change config_Post_RebuildFrequency=${config_Post_RebuildFrequency} : IGCM_post_Configure"
-        IGCM_post_Configure
-        ;;
-      config_Post_TimeSeriesFrequency)
-        IGCM_debug_Print 1  "Change config_Post_TimeSeriesFrequency = ${config_Post_TimeSeriesFrequency} : IGCM_post_Configure"
-        IGCM_post_Configure
-        ;;
-      config_Post_SeasonalFrequency)
-        IGCM_debug_Print 1  "Change config_Post_SeasonalFrequency = ${config_Post_SeasonalFrequency} : IGCM_post_Configure"
-        IGCM_post_Configure
-        ;;
-      esac
-    done
-
-    echo
-    echo "########################################################################"
-    echo
-  fi
-
-  #=================================================#
   #         Determine next computed period          #
   #=================================================#
Index: /tags/libIGCM_v3.0_beta1/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /tags/libIGCM_v3.0_beta1/libIGCM_post/libIGCM_post.ksh	(revision 1374)
+++ /tags/libIGCM_v3.0_beta1/libIGCM_post/libIGCM_post.ksh	(revision 1375)
@@ -27,5 +27,4 @@
   RebuildFrequency=false
   PackFrequency=false
-  TimeSeriesFrequency=false
   SeasonalFrequency=false
   unset list_post
@@ -41,25 +40,14 @@
   fi
   #
-  if ( [ X${TimeSeries} = Xtrue ] || [ X${TimeSeries2D} = Xtrue ] || [ X${TimeSeries3D} = Xtrue ] || [ X${TimeSeriesChunck2D} = Xtrue ] || [ X${TimeSeriesChunck3D} = Xtrue ] ) ; then
-    list_post="${list_post} TimeSeriesFrequency"
-  fi
-  #
   if [ X${Seasonal} = Xtrue ] ; then
     list_post="${list_post} SeasonalFrequency"
   fi
 
-  # Overrule Time Series triggering. Special case 1.
-  if ( [ ! X${config_Post_TimeSeriesFrequency} = X${NULL_STR} ] && \
-    [ ! X${config_Post_TimeSeriesFrequency} = XNONE ]           && \
-    [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
-    TimeSeriesFrequency=true
-    POST=true
-  fi
-  # Overrule Rebuild triggering. Special case 2.
+  # Overrule Rebuild triggering. Special case 1.
   if ( [ X${AsynchronousRebuild} = Xtrue ] && [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
     RebuildFrequency=true
     POST=true
   fi
-  # Overrule Pack triggering. Special case 3.
+  # Overrule Pack triggering. Special case 2.
   if ( [ X${Pack} = Xtrue ] && [ ${SimulationLengthInDays} -ge ${ExperienceLengthInDays} ] ) ; then
     PackFrequency=true
@@ -97,5 +85,5 @@
   #
   # Prepare headers for the shell dedicated to post-processing
-  if ( [ ${PackFrequency} = true ] && ( [ ${TimeSeriesFrequency} = true ] || [ ${SeasonalFrequency} = true ] ) ) ; then
+  if ( [ ${PackFrequency} = true ] && [ ${SeasonalFrequency} = true ] ) ; then
     if [ $DRYRUN -le 1 ]; then
       echo "#!/bin/ksh                                     " >  ${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh
@@ -124,251 +112,4 @@
     echo
     IGCM_debug_Print 2 "POST_DIR = ${POST_DIR}"
-  fi
-
-  #============ TIME SERIES POST-PROCESSING ===========#
-  if [ ${TimeSeriesFrequency} = true ] ; then
-
-    IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ACTIVATED"
-    echo
-
-
-
-    # Get information from last execution
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted
-    CompletedFlag=${run_PostProcessing_TimeSeriesCompleted}
-    #
-
-
-
-    listVarEnv="DEBUG_debug,BigBrother,postProcessingStopLevel,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,Script_Post_Output,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
-    #
-    jLoop=${#ListDimension[*]}
-    j=0
-    until [ $j -ge ${jLoop} ]; do
-      Dimension=${ListDimension[${j}]}
-      #
-      if [ X$( eval echo \${TimeSeries${Dimension}} ) = Xtrue ] ; then
-      #
-        IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} ACTIVATED"
-        echo
-        #
-        if [ X${Dimension} = X ] ; then
-          TsTask="empty"
-          Script_Post_Output=create_ts.${PeriodDateEnd}
-        else
-          TsTask=${Dimension}
-          Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
-        fi
-        #
-        if ( [ ${RebuildFrequency} = true ] || [ ${PackFrequency} = true ] ) ; then
-          #
-          if [ ${PackFrequency} = true ] ; then
-            FunctionPath=${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh
-          else
-            FunctionPath=${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-          fi
-          #
-          if [ -f ${FunctionPath} ] ; then
-#           if [ X${MASTER} = Xtitane ] ; then
-#             echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
-#           fi
-            echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
-            echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
-            echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
-            echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
-            echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
-            echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
-            echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
-            echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
-            echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
-            echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
-            echo "export DateBegin=${DateBegin}                            " >> ${FunctionPath}
-            echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
-            echo "export StandAlone=false                                  " >> ${FunctionPath}
-            echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
-            echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
-            echo "unset  CompToRead                                        " >> ${FunctionPath}
-            echo "unset  FlagToRead                                        " >> ${FunctionPath}
-            echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
-            echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
-            echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
-            echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
-            echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
-            echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
-            echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
-            echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
-#           if [ X${MASTER} = Xtitane ] ; then
-#             echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
-#             echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${FunctionPath}
-#           fi
-            echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${FunctionPath}
-            echo "IGCM_debug_Verif_Exit                          " >> ${FunctionPath}
-            echo "IGCM_sys_QsubPost create_ts                    " >> ${FunctionPath}
-#           if [ X${MASTER} = Xtitane ] ; then
-#             echo "EOF"                                           >> ${FunctionPath}
-#           fi
-          fi
-        else
-          IGCM_sys_RshPost <<-EOF
-                    export DEBUG_debug=${DEBUG_debug}
-                    export BigBrother=${BigBrother}
-                    export postProcessingStopLevel=${postProcessingStopLevel}
-                    export MODIPSL=${MODIPSL}
-                    export libIGCM_SX=${libIGCM}
-                    export libIGCM=${libIGCM_POST}
-                    export SUBMIT_DIR=${SUBMIT_DIR}
-                    export POST_DIR=${POST_DIR}
-                    export MASTER=${MASTER}
-                    export RebuildFrequency=${RebuildFrequency}
-                    export DateBegin=${DateBegin}
-                    export PeriodDateEnd=${PeriodDateEnd}
-                    export StandAlone=false
-                    export CompletedFlag=${CompletedFlag}
-                    export TsTask=${TsTask}
-                    unset  CompToRead
-                    unset  FlagToRead
-                    export RESOL_ATM=${RESOL_ATM}
-                    export RESOL_OCE=${RESOL_OCE}
-                    export RESOL_ICE=${RESOL_ICE}
-                    export RESOL_MBG=${RESOL_MBG}
-                    export RESOL_SRF=${RESOL_SRF}
-                    export RESOL_SBG=${RESOL_SBG}
-                    export listVarEnv=${listVarEnv}
-                    export Script_Post_Output=${Script_Post_Output}
-                    . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-                    . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-                    IGCM_sys_MkdirWork ${POST_DIR}
-                    IGCM_debug_Verif_Exit
-                    IGCM_sys_QsubPost create_ts
-EOF
-        fi
-      fi
-      #
-      if [ X$( eval echo \${TimeSeriesChunck${Dimension}} ) = Xtrue ] ; then
-        #
-        IGCM_debug_Print 1 "TIME SERIES POST-PROCESSING ${Dimension} WITH CHUNCK ACTIVATED"
-        echo
-        # Need to Remember This One
-        SavedDateBegin=${DateBegin}
-        # Kind of task create_ts will perform
-        TsTask=Chunck${Dimension}
-        # Number of chunck jobs to configure and submit
-        eval NbJob=\${#CHUNCK${Dimension}_COMP[@]}
-        typeset i
-        i=0
-        until [ $i -ge $NbJob ]; do
-          CompToRead=$( eval echo \${CHUNCK${Dimension}_COMP[\${i}]} )
-          FlagToRead=$( eval echo \${CHUNCK${Dimension}_FLAG[\${i}]} )
-          NameToRead=$( eval echo \${CHUNCK${Dimension}_NAME[\${i}]} )
-          ChunckSize=$( eval echo \${CHUNCK${Dimension}_SIZE[\${i}]} )
-          # Chunck Length (mandatory in Year)
-          YearsChunckLength=$( echo ${ChunckSize} | sed -e "s/[yY]//" )
-          #
-          IGCM_date_GetYearMonth ${DateBegin}     YearBegin MonthBegin
-          #
-          IGCM_date_GetYearMonth ${PeriodDateEnd} YearEnd   MonthEnd
-          # How many chunck in total since simulation began
-          NbYearsChunckLoop=$(( ( ${YearEnd} - ${YearBegin} + 1 ) / ${YearsChunckLength} ))
-          #  Tweak special case
-          [ $(( ( ${YearEnd} - ${YearBegin} + 1 ) % ${YearsChunckLength} )) = 0 ] && NbYearsChunckLoop=$(( ${NbYearsChunckLoop} - 1 ))
-          # Starting Year of the current chunck
-          ChunckTsYearBegin=$(( ${NbYearsChunckLoop} * ${YearsChunckLength} + ${YearBegin} ))
-          # Starting date of the current chunck
-          ChunckTsDateBegin=${ChunckTsYearBegin}${MonthBegin}01
-          #
-          Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
-          #
-          if ( [ ${RebuildFrequency} = true ] || [ ${PackFrequency} = true ] ) ; then
-            #
-            if [ ${PackFrequency} = true ] ; then
-              FunctionPath=${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh
-            else
-              FunctionPath=${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-            fi
-            #
-            if [ -f ${FunctionPath} ] ; then
-#             if [ X${MASTER} = Xtitane ] ; then
-#               echo "IGCM_sys_RshPost <<-EOF"                       >> ${FunctionPath}
-#             fi
-              echo "export DEBUG_debug=${DEBUG_debug}                        " >> ${FunctionPath}
-              echo "export BigBrother=${BigBrother}                          " >> ${FunctionPath}
-              echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${FunctionPath}
-              echo "export MODIPSL=${MODIPSL}                                " >> ${FunctionPath}
-              echo "export libIGCM_SX=${libIGCM}                             " >> ${FunctionPath}
-              echo "export libIGCM=${libIGCM_POST}                           " >> ${FunctionPath}
-              echo "export SUBMIT_DIR=${SUBMIT_DIR}                          " >> ${FunctionPath}
-              echo "export POST_DIR=${POST_DIR}                              " >> ${FunctionPath}
-              echo "export MASTER=${MASTER}                                  " >> ${FunctionPath}
-              echo "export RebuildFrequency=${RebuildFrequency}              " >> ${FunctionPath}
-              echo "export DateBegin=${ChunckTsDateBegin}                    " >> ${FunctionPath}
-              echo "export PeriodDateEnd=${PeriodDateEnd}                    " >> ${FunctionPath}
-              echo "export StandAlone=false                                  " >> ${FunctionPath}
-              echo "export CompletedFlag=${CompletedFlag}                    " >> ${FunctionPath}
-              echo "export TsTask=${TsTask}                                  " >> ${FunctionPath}
-              echo "export CompToRead=${CompToRead}                          " >> ${FunctionPath}
-              echo "export FlagToRead=${FlagToRead}                          " >> ${FunctionPath}
-              echo "export RESOL_ATM=${RESOL_ATM}                            " >> ${FunctionPath}
-              echo "export RESOL_OCE=${RESOL_OCE}                            " >> ${FunctionPath}
-              echo "export RESOL_ICE=${RESOL_ICE}                            " >> ${FunctionPath}
-              echo "export RESOL_MBG=${RESOL_MBG}                            " >> ${FunctionPath}
-              echo "export RESOL_SRF=${RESOL_SRF}                            " >> ${FunctionPath}
-              echo "export RESOL_SBG=${RESOL_SBG}                            " >> ${FunctionPath}
-              echo "export listVarEnv=${listVarEnv}                          " >> ${FunctionPath}
-              echo "export Script_Post_Output=${Script_Post_Output}          " >> ${FunctionPath}
-#             if [ X${MASTER} = Xtitane ] ; then
-#               echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${FunctionPath}
-#               echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${FunctionPath}
-#             fi
-              echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${FunctionPath}
-              echo "IGCM_debug_Verif_Exit                          " >> ${FunctionPath}
-              echo "IGCM_sys_QsubPost create_ts                    " >> ${FunctionPath}
-#             if [ X${MASTER} = Xtitane ] ; then
-#               echo "EOF"                                           >> ${FunctionPath}
-#             fi
-            fi
-          else
-            IGCM_sys_RshPost <<-EOF
-                        export DEBUG_debug=${DEBUG_debug}
-                        export BigBrother=${BigBrother}
-                        export postProcessingStopLevel=${postProcessingStopLevel}
-                        export MODIPSL=${MODIPSL}
-                        export libIGCM_SX=${libIGCM}
-                        export libIGCM=${libIGCM_POST}
-                        export SUBMIT_DIR=${SUBMIT_DIR}
-                        export POST_DIR=${POST_DIR}
-                        export MASTER=${MASTER}
-                        export RebuildFrequency=${RebuildFrequency}
-                        export DateBegin=${ChunckTsDateBegin}
-                        export PeriodDateEnd=${PeriodDateEnd}
-                        export StandAlone=false
-                        export CompletedFlag=${CompletedFlag}
-                        export TsTask=${TsTask}
-                        export CompToRead=${CompToRead}
-                        export FlagToRead=${FlagToRead}
-                        export RESOL_ATM=${RESOL_ATM}
-                        export RESOL_OCE=${RESOL_OCE}
-                        export RESOL_ICE=${RESOL_ICE}
-                        export RESOL_MBG=${RESOL_MBG}
-                        export RESOL_SRF=${RESOL_SRF}
-                        export RESOL_SBG=${RESOL_SBG}
-                        export listVarEnv=${listVarEnv}
-                        export Script_Post_Output=${Script_Post_Output}
-                        . ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh
-                        . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
-                        IGCM_sys_MkdirWork ${POST_DIR}
-                        IGCM_debug_Verif_Exit
-                        IGCM_sys_QsubPost create_ts
-EOF
-            #
-          fi
-          #
-          export DateBegin=${SavedDateBegin}
-          #
-          (( i=i+1 ))
-          #
-        done
-      fi
-      (( j=j+1 ))
-    done
   fi
 
@@ -463,5 +204,5 @@
     # -----------------------------------------------------------------------------------
     # Function IGCM_FlushPost called by pack_output.job has not been closed yet. Do it now
-    # Will submit Time Series OR Seasonal Average if needed
+    # Will submit Seasonal Average if needed
     # -----------------------------------------------------------------------------------
     if [ -f ${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh ] ; then
@@ -513,5 +254,5 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-      IGCM_sys_RshPost <<-EOF
+    IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
       export BigBrother=${BigBrother}
@@ -542,37 +283,5 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    if ( [ ${RebuildFrequency} = true ] && [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ) ; then
-#       if [ X${MASTER} = Xtitane ] ; then
-#         echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#       fi
-      echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export BigBrother=${BigBrother}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export DateBegin=${PackDateBegin}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export DateEnd=${PeriodDateEnd}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export PeriodPack=${config_Post_PackFrequency} " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "export postProcessingStopLevel=${postProcessingStopLevel}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#       if [ X${MASTER} = Xtitane ] ; then
-#         echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#         echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#       fi
-      echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "IGCM_debug_Verif_Exit                          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#       if [ X${MASTER} = Xtitane ] ; then
-#         echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-#       fi
-      echo "IGCM_debug_Verif_Exit                          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-    else
-      IGCM_sys_RshPost <<-EOF
+    IGCM_sys_RshPost <<-EOF
         export DEBUG_debug=${DEBUG_debug}
         export BigBrother=${BigBrother}
@@ -598,7 +307,6 @@
         IGCM_debug_Verif_Exit
 EOF
-      export DateBegin=${SavedDateBegin}
-      export DateEnd=${SavedDateEnd}
-    fi
+    export DateBegin=${SavedDateBegin}
+    export DateEnd=${SavedDateEnd}
   fi
 
